<?xml version="1.0" encoding="UTF-8"?>
<!--
@author andres.eslava
CU-NP-FA-205  test Gestionar acuerdo de perímetro urbano con fines catastrales
-->
<!DOCTYPE html>
<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui" id="oficioPerimetroUrbano"
        prependId="false">


    <h:panelGrid columns="1" width="100%" id="oficioSolicitudDeDocumentos">
        <p:fieldset>
            <h:panelGrid columns="2" width="100%">

                <h:panelGrid columns="1">

<!--   <embed src="#{gestionarAcuerdoDePerimetroUrbano.urlArchivo}" width="600"
height="400" /> --> 
                </h:panelGrid>
                <h:panelGrid columns="1">

                    <h:panelGrid columns="1">

                        <p:messages id="msgOficio" showDetail="false" globalOnly="false" />
                        <p:spacer height="100" width="0"></p:spacer>
                        <h:panelGrid columns="1" width="100%">
                            <p:commandButton value="Cancelar" id="cancelarBtn"
                                             style="width:100px;height:20px;" icon="ui-icon-circle-close"
                                             disabled="#{managedBeanParam.radicadoBool}" ajax="true"
                                             update="oficioSolicitudDeDocumentos"
                                             oncomplete="asignacionOficioWV.hide();">
                            </p:commandButton>

                            <p:commandButton value="Radicar" id="radicarBtn"
                                             style="width:100px;height:20px;" icon="ui-icon-pin-w"
                                             disabled="#{managedBeanParam.radicadoBool}"
                                             oncomplete="confirmacionRadicarSolicitudDocsWV.show()">
                            </p:commandButton>

                            <p:commandButton value="Imprimir" id="imprimirBtn" ajax="false" 
                                             style="width:100px;height:20px;" 
                                             icon="ui-icon ui-icon-print" immediate="true" 
                                             disabled="#{!managedBeanParam.radicadoBool}">
                                <p:fileDownload value="#{managedBeanParam.reporteSolicitudDeDocumentos}" />
                            </p:commandButton>

                            <p:commandButton value="Cerrar" title="Cierra esta ventana"
                                             style="width:100px;height:20px;"
                                             oncomplete="asignacionOficioWV.hide()" icon="ui-icon-close" />


                        </h:panelGrid>
                    </h:panelGrid>
                </h:panelGrid>
            </h:panelGrid>
        </p:fieldset>
    </h:panelGrid>

</h:form>   